Index Page tyear_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       SpiceDouble tyear_c ( void )

#### Abstract

       Return the number of seconds in a tropical year.

#### Required_Reading

    None.

#### Keywords

       CONSTANTS

#### Brief_I/O

       VARIABLE  I/O              DESCRIPTION
       --------  ---  --------------------------------------------------
       tyear_c       O   The number of seconds/tropical year

#### Detailed_Input

       None.

#### Detailed_Output

       The function returns the number of seconds per tropical
       year.  This value is taken from the 1992 Explanatory Supplement
       to the Astronomical Almanac.

#### Parameters

       None.

#### Exceptions

       Error free.

#### Files

       None.

#### Particulars

       The tropical year is often used as a fundamental unit
       of time when dealing with older ephemeris data.  For this
       reason its value in terms of ephemeris seconds is
       recorded in this function.

#### Examples

       Suppose you wish to compute the number of tropical centuries
       that have elapsed since the ephemeris epoch B1950 (beginning
       of the Besselian year 1950) at a particular ET epoch.  The
       following line of code will do the trick.

          century = ( et - unitim_ ( b1950_c(), "JED", "ET" ) )
                    / ( 100.0 * tyear_c() );

#### Restrictions

        None.

#### Literature_References

       Explanatory Supplement to the Astronomical Almanac.
       Page 80. University Science Books, 20 Edgehill Road,
       Mill Valley, CA 94941

#### Author_and_Institution

       W.L. Taber      (JPL)
       E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.0.0, 08-FEB-1998 (EDW)

#### Index_Entries

       Number of seconds per tropical year

#### Link to routine tyear_c source file tyear_c.c

    Wed Apr  5 17:54:46 2017